diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/index.php /home/packages/code/qi/SOURCES/wordpress-3.7/index.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/index.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/index.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 14,17 ****
  define('WP_USE_THEMES', true);
  
  /** Loads the WordPress Environment and Template */
! require('./wp-blog-header.php');
--- 14,17 ----
  define('WP_USE_THEMES', true);
  
  /** Loads the WordPress Environment and Template */
! require( dirname( __FILE__ ) . '/wp-blog-header.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-activate.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-activate.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-activate.php	2013-01-21 13:23:06.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-activate.php	2013-10-04 09:12:11.000000000 -0500
***************
*** 11,17 ****
  /** Sets up the WordPress Environment. */
  require( dirname(__FILE__) . '/wp-load.php' );
  
! require( './wp-blog-header.php' );
  
  if ( !is_multisite() ) {
  	wp_redirect( site_url( '/wp-login.php?action=register' ) );
--- 11,17 ----
  /** Sets up the WordPress Environment. */
  require( dirname(__FILE__) . '/wp-load.php' );
  
! require( dirname( __FILE__ ) . '/wp-blog-header.php' );
  
  if ( !is_multisite() ) {
  	wp_redirect( site_url( '/wp-login.php?action=register' ) );
***************
*** 21,26 ****
--- 21,34 ----
  if ( is_object( $wp_object_cache ) )
  	$wp_object_cache->cache_enabled = false;
  
+ // Fix for page title
+ $wp_query->is_404 = false;
+ 
+ /**
+  * Fires before the Site Activation page is loaded.
+  *
+  * @since 3.0
+  */
  do_action( 'activate_header' );
  
  /**
***************
*** 29,35 ****
   * @since MU
   */
  function do_activate_header() {
! 	do_action( 'activate_wp_head' );
  }
  add_action( 'wp_head', 'do_activate_header' );
  
--- 37,48 ----
   * @since MU
   */
  function do_activate_header() {
!     /**
!      * Fires before the Site Activation page is loaded, but on the wp_head action.
!      *
!      * @since 3.0
!      */
!     do_action( 'activate_wp_head' );
  }
  add_action( 'wp_head', 'do_activate_header' );
  
***************
*** 116,119 ****
  	var key_input = document.getElementById('key');
  	key_input && key_input.focus();
  </script>
! <?php get_footer(); ?>
\ No newline at end of file
--- 129,132 ----
  	var key_input = document.getElementById('key');
  	key_input && key_input.focus();
  </script>
! <?php get_footer(); ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/about.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/about.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/about.php	2013-09-11 14:08:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/about.php	2013-10-23 14:54:18.000000000 -0500
***************
*** 7,25 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
  $title = __( 'About' );
  
  list( $display_version ) = explode( '-', $wp_version );
  
  include( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  <div class="wrap about-wrap">
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version. WordPress %s makes your writing experience even better.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
--- 7,27 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  $title = __( 'About' );
  
  list( $display_version ) = explode( '-', $wp_version );
  
+ wp_enqueue_script( 'about' );
+ 
  include( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  <div class="wrap about-wrap">
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to WordPress 3.7! You might not notice a thing, and we&#8217;re okay with that.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
***************
*** 33,143 ****
  	</a>
  </h2>
  
- <div class="changelog point-releases">
- 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 1 ); ?></h3>
- 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
-          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 13 ), '3.6.1', number_format_i18n( 13 ) ); ?>
- 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.6.1' ); ?>
-  	</p>
- </div>
- 
  <div class="changelog">
! 	<h3><?php _e( 'Colorful New Theme' ); ?></h3>
  
! 	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo is_ssl() ? 'https://' : '//s.'; ?>wordpress.org/images/core/3.6/twentythirteen.png" class="image-66" />
! 		<h4><?php _e( 'Introducing Twenty Thirteen' ); ?></h4>
! 		<p><?php printf( __( "The new default theme puts focus on your content with a colorful, single-column design made for media-rich blogging." ) ); ?></p>
! 		<p><?php _e( 'Inspired by modern art, Twenty Thirteen features quirky details, beautiful typography, and bold, high-contrast colors &mdash; all with a flexible layout that looks great on any device, big or small.' ); ?></p>
  	</div>
  </div>
  
! <div class="changelog">
! 	<h3><?php _e( 'Write with Confidence' ); ?></h3>
! 
! 	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo is_ssl() ? 'https://' : '//s.'; ?>wordpress.org/images/core/3.6/revisions.png" class="image-66" />
! 		<h4><?php _e( 'Explore Revisions' ); ?></h4>
! 		<p></p>
! 		<p><?php _e( 'From the first word you write, WordPress saves every change. Each revision is always at your fingertips. Text is highlighted as you scroll through revisions at lightning speed, so you can see what changes have been made along the way.' ); ?></p>
! 		<p><?php _e( 'It&#8217;s easy to compare two revisions from any point in time, and to restore a revision and go back to writing. Now you can be confident that no mistake is permanent.' ); ?></p>
! 	</div>
  
  	<div class="feature-section col two-col">
  		<div>
! 			<h4><?php _e( 'Improved Autosaves' ); ?></h4>
! 			<p><?php _e( 'Never lose a word you&#8217;ve written. Autosaving is now even better; whether your power goes out, your browser crashes, or you lose your internet connection, your content is safe.' ); ?></p>
  		</div>
! 		<div class="last-feature">
! 			<h4><?php _e( 'Better Post Locking' ); ?></h4>
! 			<p><?php _e( 'Always know who&#8217;s editing with live updates that appear in the list of posts. And if someone leaves for lunch with a post open, you can take over where they left off.' ); ?></p>
  		</div>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'Support for Audio and Video' ); ?></h3>
! 
! 	<div class="feature-section images-stagger-right">
! 		<div class="video image-66"><?php
! 			$sample_video = ( is_ssl() ? 'https://' : 'http://s.' ) . 'wordpress.org/images/core/3.6/sample-video';
! 			$args = array(
! 				'mp4' => "$sample_video.mp4",
! 				'ogv' => "$sample_video.ogv",
! 				'width' => 625,
! 				'height' => 360,
! 			);
! 			// Opera 12 (Presto, pre-Chromium) fails to load ogv properly
! 			// when combined with ME.js. Works fine in Opera 15.
! 			// Don't serve ogv to Opera 12 to avoid complete brokeness.
! 			if ( $GLOBALS['is_opera'] )
! 				unset( $args['ogv'] );
! 			// Our current ME.js API is limited to shortcodes in posts.
! 			echo wp_video_shortcode( $args );
! 		?></div>
! 		<h4><?php _e( 'New Media Player' ); ?></h4>
! 		<p><?php _e( 'Share your audio and video with the new built-in HTML5 media player. Upload files using the media manager and embed them in your posts.' ); ?></p>
! 
! 		<h4><?php _e( 'Embed Music from Spotify, Rdio, and SoundCloud' ); ?></h4>
! 		<p><?php _e( 'Embed songs and albums from your favorite artists, or playlists you&#8217;ve mixed yourself. It&#8217;s as simple as pasting a URL into a post on its own line.' ); ?></p>
! 		<p><?php printf( __( '(Love another service? Check out all of the <a href="%s">embeds</a> that WordPress supports.)' ), 'http://codex.wordpress.org/Embeds' ); ?></p>
! 	</div>
! </div>
! 
! <div class="changelog">
! 	<h3><?php _e( 'Under the Hood' ); ?></h3>
! 
! 	<div class="feature-section col three-col">
! 		<div>
! 			<h4><?php _e( 'Audio/Video API' ); ?></h4>
! 			<p><?php _e( 'The new audio/video APIs give developers access to powerful media metadata, like ID3 tags.' ); ?></p>
! 		</div>
  		<div>
! 			<h4><?php _e( 'Semantic Markup' ); ?></h4>
! 			<p><?php _e( 'Themes can now choose improved HTML5 markup for comment forms, search forms, and comment lists.' ); ?></p>
  		</div>
  		<div class="last-feature">
! 			<h4><?php _e( 'JavaScript Utilities' ); ?></h4>
! 			<p><?php _e( 'Handy JavaScript utilities ease common tasks like Ajax requests, templating, and Backbone view management.' ); ?></p>
  		</div>
  	</div>
  
  	<div class="feature-section col three-col">
  		<div>
! 			<h4><?php _e( 'Shortcode Improvements' ); ?></h4>
! 			<p><?php _e( 'Search content for shortcodes with <code>has_shortcode()</code> and adjust shortcode attributes with a new filter.' ); ?></p>
  		</div>
  		<div>
! 			<h4><?php _e( 'Revision Control' ); ?></h4>
! 			<p><?php _e( 'Fine-grained revision controls allow you to keep a different number of revisions for each post type.' ); ?></p>
  		</div>
  		<div class="last-feature">
! 			<h4><?php _e( 'External Libraries' ); ?></h4>
! 			<p><?php
! 				/* translators: placeholders 2, 3 and 4 are version numbers */
! 				printf( __( 'New and updated libraries: <a href="%1$s">MediaElement.js</a>, jQuery %2$s, jQuery UI %3$s, jQuery Migrate, Backbone %4$s.' ), 'http://mediaelementjs.com/', '1.10.2', '1.10.3', '1.0' ); ?></p>
  		</div>
- 	</div>
  </div>
  
  <div class="return-to-dashboard">
--- 35,135 ----
  	</a>
  </h2>
  
  <div class="changelog">
! 	<h3><?php _e( 'Background Updates' ); ?></h3>
  
! 	<div class="feature-section col three-col about-updates">
! 		<div class="col-1">
! 			<h4><?php _e( 'Updates While You Sleep' ); ?></h4>
! 			<p><?php _e( 'With WordPress 3.7, you don&#8217;t have to lift a finger to apply maintenance and security updates. Most sites are now able to automatically apply these updates in the background, though some configurations may not allow it.' ); ?></p>
! 		</div>
! 		<div class="col-2">
! 			<img alt="" src="<?php echo admin_url( 'images/about-updates-2x.png' ); ?>" />
! 		</div>
! 		<div class="col-3 last-feature">
! 			<h4><?php _e( 'More Reliable Than Ever' ); ?></h4>
! 			<p><?php _e( 'The update process has been made even more reliable and secure, with dozens of new checks and safeguards.' ); ?></p>
! 			<p><?php _e( 'You&#8217;ll still need to click &#8220;Update Now&#8221; once WordPress 3.8 is released, but we&#8217;ve never had more confidence in that beautiful blue button.' ); ?></p>
! 		</div>
! 		<?php
! 		if ( current_user_can( 'update_core' ) ) {
! 			$future_minor_update = (object) array(
! 				'current'       => $wp_version . '.1.next.minor',
! 				'version'       => $wp_version . '.1.next.minor',
! 				'php_version'   => $required_php_version,
! 				'mysql_version' => $required_mysql_version,
! 			);
! 			require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
! 			$updater = new WP_Automatic_Updater;
! 			$can_auto_update = wp_http_supports( 'ssl' ) && $updater->should_update( 'core', $future_minor_update, ABSPATH );
! 
! 			if ( $can_auto_update ) {
! 				echo '<p class="about-auto-update cool">' . __( 'This site <strong>is</strong> able to apply these updates automatically. Cool!' ). '</p>';
! 
! 			// If the updater is disabled entirely, don't show them anything.
! 			} elseif ( ! $updater->is_disabled() ) {
! 				echo '<p class="about-auto-update">';
! 				// If this is is filtered to false, they won't get emails, so don't claim we will.
! 				// Assumption: If the user can update core, they can see what the admin email is.
! 
! 				/** This filter is documented in wp-admin/includes/class-wp-upgrader.php */
! 				if ( apply_filters( 'send_core_update_notification_email', true, $future_minor_update ) ) {
! 					printf( __( 'This site <strong>is not</strong> able to apply these updates automatically. But we&#8217;ll email %s when there is a new security release.' ), esc_html( get_site_option( 'admin_email' ) ) );
! 				} else {
! 					_e( 'This site <strong>is not</strong> able to apply these updates automatically.' );
! 				}
! 				echo '</p>';
! 			}
! 		}
! 		?>
  	</div>
  </div>
  
! <div class="changelog about-passwords">
! 	<h3><?php _e( 'Create Stronger Passwords' ); ?></h3>
  
  	<div class="feature-section col two-col">
  		<div>
! 			<p><?php _e( 'Your password is your site&#8217;s first line of defense. It&#8217;s best to create passwords that are complex, long, and unique. To that end, our password meter has been updated in WordPress 3.7 to recognize common mistakes that can weaken your password: dates, names, keyboard patterns (123456789), and even pop culture references.' ); ?></p>
! 			<p><strong><?php _e( 'Try it out on the right.' ); ?></strong></p>
  		</div>
! 		<div class="last-feature about-password-meter">
! 			<input type="password" id="pass" size="25" value="" />
! 			<p id="pass-strength-result" ><?php _e( 'Strength indicator' ); ?></p>
! 			<?php printf( __( 'Getting the urge to <a href="%s">change your password</a>?' ), esc_url( self_admin_url( 'profile.php' ) ) ); ?>
  		</div>
  	</div>
  </div>
  
  <div class="changelog">
! 	<div class="feature-section col two-col">
  		<div>
! 			<h3><?php _e( 'Improved Search Results' ); ?></h3>
! 			<p><img alt="" src="<?php echo admin_url( 'images/about-search-2x.png' ); ?>" /><?php _e( 'Search results are now ordered by how well the search query matches a post, instead of ordered only by date. For example, when your search terms match a post title, that result will be pushed to the top.' ); ?></p>
  		</div>
  		<div class="last-feature">
! 			<h3><?php _e( 'Better Global Support' ); ?></h3>
! 			<p><img alt="" src="<?php echo admin_url( 'images/about-globe-2x.png' ); ?>" /><?php _e( 'Localized versions of WordPress will receive faster and more complete translations. WordPress 3.7 adds support for automatically installing the right language files and keeping them up to date.' ); ?></p>
  		</div>
  	</div>
+ </div>
+ 
+ <div class="changelog">
+ 	<h3><?php _e( 'Under the Hood' ); ?></h3>
  
  	<div class="feature-section col three-col">
  		<div>
! 			<h4><?php _e( 'More Background Updates (Experimental)' ); ?></h4>
! 			<p><?php _e( 'Want WordPress to always update automatically, even for major feature releases? Want to always keep a certain plugin up to date in the background? WordPress 3.7 comes with fine-grained update controls for developers and systems administrators.' ); ?></p>
  		</div>
  		<div>
! 			<h4><?php _e( 'Advanced Date Queries' ); ?></h4>
! 			<p><?php _e( 'Developers can now query for posts within a date range, or that are older than or newer than a specific point in time. Or get really fancy: all posts written on Friday afternoons? Not&nbsp;a&nbsp;problem.' ); ?></p>
  		</div>
  		<div class="last-feature">
! 			<h4><?php _e( 'Multisite Improvements' ); ?></h4>
! 			<p><?php _e( '<code>wp_get_sites()</code> allows developers to easily get an array of all the sites on your network without resorting to a direct database query &mdash; just one of many improvements to multisite in WordPress 3.7.' ); ?></p>
  		</div>
  </div>
  
  <div class="return-to-dashboard">
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin-ajax.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin-ajax.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin-ajax.php	2013-06-26 16:06:50.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin-ajax.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 38,43 ****
--- 38,44 ----
  send_nosniff_header();
  nocache_headers();
  
+ /** This action is documented in wp-admin/admin.php */
  do_action( 'admin_init' );
  
  $core_actions_get = array(
***************
*** 68,77 ****
  
  add_action( 'wp_ajax_nopriv_heartbeat', 'wp_ajax_nopriv_heartbeat', 1 );
  
! if ( is_user_logged_in() )
! 	do_action( 'wp_ajax_' . $_REQUEST['action'] ); // Authenticated actions
! else
! 	do_action( 'wp_ajax_nopriv_' . $_REQUEST['action'] ); // Non-admin actions
! 
  // Default status
  die( '0' );
--- 69,94 ----
  
  add_action( 'wp_ajax_nopriv_heartbeat', 'wp_ajax_nopriv_heartbeat', 1 );
  
! if ( is_user_logged_in() ) {
! 	/**
! 	 * Fires authenticated AJAX actions for logged-in users.
! 	 *
! 	 * The dynamic portion of the hook name, $_REQUEST['action'],
! 	 * refers to the name of the AJAX action callback being fired.
! 	 *
! 	 * @since 2.1.0
! 	 */
! 	do_action( 'wp_ajax_' . $_REQUEST['action'] );
! } else {
! 	/**
! 	 * Fires non-authenticated AJAX actions for logged-out users.
! 	 *
! 	 * The dynamic portion of the hook name, $_REQUEST['action'],
! 	 * refers to the name of the AJAX action callback being fired.
! 	 *
! 	 * @since 2.8.0
! 	 */
! 	do_action( 'wp_ajax_nopriv_' . $_REQUEST['action'] );
! }
  // Default status
  die( '0' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin-footer.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin-footer.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin-footer.php	2012-09-16 18:03:35.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin-footer.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 16,31 ****
  <div class="clear"></div></div><!-- wpcontent -->
  
  <div id="wpfooter">
! <?php do_action( 'in_admin_footer' ); ?>
! <p id="footer-left" class="alignleft"><?php
! echo apply_filters( 'admin_footer_text', '<span id="footer-thankyou">' . __( 'Thank you for creating with <a href="http://wordpress.org/">WordPress</a>.' ) . '</span>' );
! ?></p>
! <p id="footer-upgrade" class="alignright"><?php echo apply_filters( 'update_footer', '' ); ?></p>
! <div class="clear"></div>
  </div>
  <?php
  do_action('admin_footer', '');
  do_action('admin_print_footer_scripts');
  do_action("admin_footer-" . $GLOBALS['hook_suffix']);
  
  // get_site_option() won't exist when auto upgrading from <= 2.7
--- 16,79 ----
  <div class="clear"></div></div><!-- wpcontent -->
  
  <div id="wpfooter">
! 	<?php
! 	/**
! 	 * Fires after the opening tag for the admin footer.
! 	 *
! 	 * @since 2.5.0
! 	 */
! 	do_action( 'in_admin_footer' );
! 	?>
! 	<p id="footer-left" class="alignleft">
! 		<?php
! 		/**
! 		 * Filter the "Thank you" text displayed in the admin footer.
! 		 *
! 		 * @since 2.8.0
! 		 * @param string The content that will be printed.
! 		 */
! 		echo apply_filters( 'admin_footer_text', '<span id="footer-thankyou">' . __( 'Thank you for creating with <a href="http://wordpress.org/">WordPress</a>.' ) . '</span>' );
! 		?>
! 	</p>
! 	<p id="footer-upgrade" class="alignright">
! 		<?php
! 		/**
! 		 * Filter the version/update text displayed in the admin footer.
! 		 *
! 		 * @see core_update_footer() WordPress prints the current version and update information,
! 		 *	using core_update_footer() at priority 10.
! 		 *
! 		 * @since 2.3.0
! 		 * @param string The content that will be printed.
! 		 */
! 		echo apply_filters( 'update_footer', '' );
! 		?>
! 	</p>
! 	<div class="clear"></div>
  </div>
  <?php
+ /**
+  * Print scripts or data before the default footer scripts.
+  *
+  * @since 1.2.0
+  * @param string The data to print.
+  */
  do_action('admin_footer', '');
+ 
+ /**
+  * Prints any scripts and data queued for the footer.
+  *
+  * @since 2.8.0
+  */
  do_action('admin_print_footer_scripts');
+ 
+ /**
+  * Print scripts or data after the default footer scripts.
+  *
+  * @since 2.8.0
+  *
+  * @param string $GLOBALS['hook_suffix'] The current admin page.
+  */
  do_action("admin_footer-" . $GLOBALS['hook_suffix']);
  
  // get_site_option() won't exist when auto upgrading from <= 2.7
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin-header.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/admin-header.php	2013-07-12 17:11:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/admin-header.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 8,14 ****
  
  @header('Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'));
  if ( ! defined( 'WP_ADMIN' ) )
! 	require_once( './admin.php' );
  
  // In case admin-header.php is included in a function.
  global $title, $hook_suffix, $current_screen, $wp_locale, $pagenow, $wp_version,
--- 8,14 ----
  
  @header('Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'));
  if ( ! defined( 'WP_ADMIN' ) )
! 	require_once( dirname( __FILE__ ) . '/admin.php' );
  
  // In case admin-header.php is included in a function.
  global $title, $hook_suffix, $current_screen, $wp_locale, $pagenow, $wp_version,
***************
*** 22,30 ****
  $title = esc_html( strip_tags( $title ) );
  
  if ( is_network_admin() )
! 	$admin_title = __( 'Network Admin' );
  elseif ( is_user_admin() )
! 	$admin_title = __( 'Global Dashboard' );
  else
  	$admin_title = get_bloginfo( 'name' );
  
--- 22,30 ----
  $title = esc_html( strip_tags( $title ) );
  
  if ( is_network_admin() )
! 	$admin_title = sprintf( __('Network Admin: %s'), esc_html( $current_site->site_name ) );
  elseif ( is_user_admin() )
! 	$admin_title = sprintf( __('Global Dashboard: %s'), esc_html( $current_site->site_name ) );
  else
  	$admin_title = get_bloginfo( 'name' );
  
***************
*** 33,38 ****
--- 33,46 ----
  else
  	$admin_title = sprintf( __( '%1$s &lsaquo; %2$s &#8212; WordPress' ), $title, $admin_title );
  
+ /**
+  * Filter the <title> content for an admin page.
+  *
+  * @since 3.1.0
+  *
+  * @param string $admin_title The page title, with extra context added.
+  * @param string $title       The original page title.
+  */
  $admin_title = apply_filters( 'admin_title', $admin_title, $title );
  
  wp_user_settings();
***************
*** 60,72 ****
  </script>
  <?php
  
! do_action('admin_enqueue_scripts', $hook_suffix);
! do_action("admin_print_styles-$hook_suffix");
! do_action('admin_print_styles');
! do_action("admin_print_scripts-$hook_suffix");
! do_action('admin_print_scripts');
! do_action("admin_head-$hook_suffix");
! do_action('admin_head');
  
  if ( get_user_setting('mfold') == 'f' )
  	$admin_body_class .= ' folded';
--- 68,123 ----
  </script>
  <?php
  
! /**
!  * Enqueue scripts for all admin pages.
!  *
!  * @since 2.8.0
!  *
!  * @param string $hook_suffix The current admin page.
!  */
! do_action( 'admin_enqueue_scripts', $hook_suffix );
! 
! /**
!  * Print styles for a specific admin page based on $hook_suffix.
!  *
!  * @since 2.6.0
!  */
! do_action( "admin_print_styles-$hook_suffix" );
! 
! /**
!  * Print styles for all admin pages.
!  *
!  * @since 2.6.0
!  */
! do_action( 'admin_print_styles' );
! 
! /**
!  * Print scripts for a specific admin page based on $hook_suffix.
!  *
!  * @since 2.1.0
!  */
! do_action( "admin_print_scripts-$hook_suffix" );
! 
! /**
!  * Print scripts for all admin pages.
!  *
!  * @since 2.1.0
!  */
! do_action( 'admin_print_scripts' );
! 
! /**
!  * Fires in <head> for a specific admin page based on $hook_suffix.
!  *
!  * @since 2.1.0
!  */
! do_action( "admin_head-$hook_suffix" );
! 
! /**
!  * Fires in <head> for all admin pages.
!  *
!  * @since 2.1.0
!  */
! do_action( 'admin_head' );
  
  if ( get_user_setting('mfold') == 'f' )
  	$admin_body_class .= ' folded';
***************
*** 80,85 ****
--- 131,142 ----
  if ( is_rtl() )
  	$admin_body_class .= ' rtl';
  
+ if ( $current_screen->post_type )
+ 	$admin_body_class .= ' post-type-' . $current_screen->post_type;
+ 
+ if ( $current_screen->taxonomy )
+ 	$admin_body_class .= ' taxonomy-' . $current_screen->taxonomy;
+ 
  $admin_body_class .= ' branch-' . str_replace( array( '.', ',' ), '-', floatval( $wp_version ) );
  $admin_body_class .= ' version-' . str_replace( '.', '-', preg_replace( '/^([.0-9]+).*/', '$1', $wp_version ) );
  $admin_body_class .= ' admin-color-' . sanitize_html_class( get_user_option( 'admin_color' ), 'fresh' );
***************
*** 92,97 ****
--- 149,167 ----
  
  ?>
  </head>
+ <?php
+ /**
+  * Filter the admin <body> CSS classes.
+  *
+  * This filter differs from the post_class or body_class filters in two important ways:
+  * 1. $classes is a space-separated string of class names instead of an array.
+  * 2. Not all core admin classes are filterable, notably: wp-admin, wp-core-ui, and no-js cannot be removed.
+  *
+  * @since 2.3.0
+  *
+  * @param string $classes Space-separated string of CSS classes.
+  */
+ ?>
  <body class="wp-admin wp-core-ui no-js <?php echo apply_filters( 'admin_body_class', '' ) . " $admin_body_class"; ?>">
  <script type="text/javascript">
  	document.body.className = document.body.className.replace('no-js','js');
***************
*** 109,115 ****
  <div id="wpcontent">
  
  <?php
! do_action('in_admin_header');
  ?>
  
  <div id="wpbody">
--- 179,190 ----
  <div id="wpcontent">
  
  <?php
! /**
!  * Fires at the beginning of the content section in an admin page.
!  *
!  * @since 3.0.0
!  */
! do_action( 'in_admin_header' );
  ?>
  
  <div id="wpbody">
***************
*** 125,138 ****
  
  $current_screen->render_screen_meta();
  
! if ( is_network_admin() )
! 	do_action('network_admin_notices');
! elseif ( is_user_admin() )
! 	do_action('user_admin_notices');
! else
! 	do_action('admin_notices');
! 
! do_action('all_admin_notices');
  
  if ( $parent_file == 'options-general.php' )
  	require(ABSPATH . 'wp-admin/options-head.php');
--- 200,234 ----
  
  $current_screen->render_screen_meta();
  
! if ( is_network_admin() ) {
! 	/**
! 	 * Print network admin screen notices.
! 	 *
! 	 * @since 3.1.0
! 	 */
! 	do_action( 'network_admin_notices' );
! } elseif ( is_user_admin() ) {
! 	/**
! 	 * Print user admin screen notices.
! 	 *
! 	 * @since 3.1.0
! 	 */
! 	do_action( 'user_admin_notices' );
! } else {
! 	/**
! 	 * Print admin screen notices.
! 	 *
! 	 * @since 3.1.0
! 	 */
! 	do_action( 'admin_notices' );
! }
! 
! /**
!  * Print generic admin screen notices.
!  *
!  * @since 3.1.0
!  */
! do_action( 'all_admin_notices' );
  
  if ( $parent_file == 'options-general.php' )
  	require(ABSPATH . 'wp-admin/options-head.php');
